## CORBA Interface IProcessJobVarDef

### Definition

CORBA Module DFProcessFlow

### IProcessJobVarDef Description

CORBA Definitions
attribute ColumnCount |
attribute Description |
attribute Name |
attribute NameAsXML |
attribute Scope |
attribute Type |
method AddColumn |
method Clear |
method Close |
method DeleteColumn |
method GetColumnName |

Java Classes
IProcessJobVarDefHelper | Used to manipulate the IProcessJobVarDef type
IProcessJobVarDefHolder | Used to process the IProcessJobVarDef type as an out parameter

Java Interfaces
IProcessJobVarDef |

Java Interface IProcessJobVarDef

Package com.sas.iom.DFProcessFlow

IProcessJobVarDef Description

`public interface IProcessJobVarDef
extends org.omg.CORBA.Object`

Method Summary

int | AddColumn ( java.lang.String name ) throws ( GenericError );
void | Clear ()
void | Close ()
void | DeleteColumn ( int index ) throws ( GenericError );
java.lang.String | GetColumnName ( int index ) throws ( GenericError );

Java Class IProcessJobVarDefHelper

public class IProcessJobVarDefHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessJobVarDef type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobVarDefHelper

Java Class IProcessJobVarDefHolder

public class IProcessJobVarDefHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessJobVarDef type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobVarDefHolder

CORBA Attribute ColumnCount (readonly)

Description

Usage

Java Method ColumnCount

    public int ColumnCount ();

CORBA Attribute Description

Description

Usage

Java Method Description

    public java.lang.String Description ();
    public void Description ( java.lang.String Description );

CORBA Attribute Name (readonly)

Description

Usage

Java Method Name

    public java.lang.String Name ();

CORBA Attribute NameAsXML (readonly)

Description

Usage

Java Method NameAsXML

    public octet[] NameAsXML ();

CORBA Attribute Scope

Description

Usage

Java Method Scope

    public VariableScope Scope ();
    public void Scope ( VariableScope Scope );

CORBA Attribute Type

Description

Usage

Java Method Type

    public VariableType Type ();
    public void Type ( VariableType Type );

CORBA Method AddColumn

Description

Usage

Java Method AddColumn

`int` AddColumn (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method Clear

Description

Usage

Java Method Clear

`void` Clear ( )

Example

CORBA Method Close

Description

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method DeleteColumn

Description

Usage

Java Method DeleteColumn

`void` DeleteColumn (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetColumnName

Description

Usage

Java Method GetColumnName

`java.lang.String` GetColumnName (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example